Nitrogen Pumpkin Mulch

    @nomicfoundation/hardhat-chai-matchers
    TypeScript icon, indicating that this package has built-in type declarations

    1.0.3 • Public • Published

    npm

    Hardhat Chai Matchers

    This plugin adds Ethereum-specific capabilities to the Chai assertion library, making your smart contract tests easy to write and read.

    Check its documentation to learn more.

    Installation

    We recommend using npm 7 or later. If you do that, then you just need to install the plugin itself:

    npm install --save-dev @nomicfoundation/hardhat-chai-matchers

    If you are using an older version of npm, you'll also need to install all the packages used by the plugin.

    npm install --save-dev @nomicfoundation/hardhat-chai-matchers chai @nomiclabs/hardhat-ethers ethers

    That's also the case if you are using yarn:

    yarn add --dev @nomicfoundation/hardhat-chai-matchers chai @nomiclabs/hardhat-ethers ethers

    Usage

    After installing it, add the plugin to your Hardhat config:

    require("@nomicfoundation/hardhat-chai-matchers");

    Then you'll be able to use the matchers in your tests:

    expect(await token.totalSupply()).to.equal(1_000_000);
    
    await expect(token.transfer(token, 1000)).to.be.revertedWith(
      "Cannot transfer to the contract itself"
    );
    
    await expect(token.transfer(recipient, 1000))
      .to.emit(token, "Transfer")
      .withArgs(owner, recipient, 1000);

    Install

    npm i @nomicfoundation/hardhat-chai-matchers

    DownloadsWeekly Downloads

    20,708

    Version

    1.0.3

    License

    MIT

    Unpacked Size

    222 kB

    Total Files

    150

    Last publish

    Collaborators

    • fvictorio
    • alcuadrado